Bug 1484613 - RHEVM Target Refresh Completes Even Though Storage Domain Error is Thrown
Summary: RHEVM Target Refresh Completes Even Though Storage Domain Error is Thrown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:Target refresh
Depends On: 1478108
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-24 01:58 UTC by Satoe Imaishi
Modified: 2017-10-24 00:40 UTC (History)
10 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1478108
Environment:
Last Closed: 2017-10-24 00:40:39 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 5 Ilanit Stein 2017-09-03 06:44:16 UTC
Correction to comment 4:
RHV version was 3.6.10-0.1.el6, and not 4.1.6.

Comment 6 Ilanit Stein 2017-09-03 09:03:02 UTC
Verified on CFME-5.8.2/RHV-3.6.10

Using this flow:

1) In ovirt gem, at lib/ovirt/services.rb in the method resource_verb, inside the block:
resource.send(verb, *args)
add the following lines (in the current gem version 0.17.1 its line 319 of the file):
>>>>>
if resource.url.include?("storagedomains") && resource.url.include?("disks")
  response = OpenStruct.new(code: 404)
end
<<<<<

2) $ rake evm:restart

3) Added RHV-3.6 that has a VM with 2 disks.

4) Under Policy edit tags and set the tags for the vm to be: 
"LifeCycle: Fully retire VM and remove from Provider"

5) In the vms screen select the vm and under Lifecycle choose "retire selected items"

In evm.log ERROR [1] appeared twice.
Then a full refresh was done,
and from that point the above error, didn't appear anymore.

The VM was removed.

[1]
[----] E, [2017-09-03T03:23:38.130251 #18858:e6302f0] ERROR -- : <RHEVM> Ovirt::Service#parse_error_response Return from URL: <https://cfme-qe-rhevm36.rhq.lab
.eng.bos.redhat.com/ovirt-engine/api/vms/5b98e1a4-020b-4b1a-a760-d4e3c413ccdb> Data:<html><head><title>JBWEB000065: HTTP Status 404 - </title><style><!--H1 {f
ont-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:
#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-ser
if;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;b
ackground:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>JBWEB000065: HTTP Statu
s 404 - </h1><HR size="1" noshade="noshade"><p><b>JBWEB000309: type</b> JBWEB000067: Status report</p><p><b>JBWEB000068: message</b> <u></u></p><p><b>JBWEB000
069: description</b> <u>JBWEB000124: The requested resource is not available.</u></p><HR size="1" noshade="noshade"></body></html>

Comment 8 errata-xmlrpc 2017-10-24 00:40:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.